@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800&display=swap");
@import url("https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;700&display=swap");
@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  html {
    font-family: "DM Sans", sans-serif !important;
    font-feature-settings: "kern" !important;
    -webkit-font-smoothing: antialiased;
    letter-spacing: -0.5px;
  }
}

@layer components {
  .btn-primary {
    @apply bg-brand-500 hover:bg-brand-600 dark:bg-brand-400 dark:hover:bg-brand-300 rounded-xl px-5 h-12 text-base font-medium text-white transition duration-200 dark:text-white;
  }
  .btn-primary-base {
    @apply rounded-xl px-5 h-12 text-base font-medium text-white transition duration-200 dark:text-white;
  }
  .btn-primary:disabled {
    @apply disabled:cursor-not-allowed disabled:opacity-40 bg-brand-500 dark:bg-brand-400;
  }
}
